Bug 964675 - Couldn't join realm: Enabling SSSD in nsswitch.conf and PAM failed
Couldn't join realm: Enabling SSSD in nsswitch.conf and PAM failed
Product: Fedora
Classification: Fedora
Component: realmd (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stef Walter
Fedora Extras Quality Assurance
Depends On:
Blocks: 967022
  Show dependency treegraph
Reported: 2013-05-19 08:31 EDT by Lukas "krteknet" Novy
Modified: 2014-02-18 18:56 EST (History)
5 users (show)

See Also:
Fixed In Version: realmd-0.14.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 967022 (view as bug list)
Last Closed: 2013-06-05 22:25:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
realmd journal (2.22 KB, text/plain)
2013-05-19 08:31 EDT, Lukas "krteknet" Novy
no flags Details

  None (edit)
Description Lukas "krteknet" Novy 2013-05-19 08:31:24 EDT
Created attachment 750039 [details]
realmd journal

Description of problem:
Trying to join AD domain using realm seems to fail, but might successed.
Attached journal points to problem: missing authconfig

Version-Release number of selected component (if applicable):

How reproducible:
Only tried once

Steps to Reproduce:
[root@localhost liveuser]# realm join --user=Hermes-admin security.baseos.qe
Password for Hermes-admin: 
See: journalctl REALMD_OPERATION=r1284.1823
realm: Couldn't join realm: This computer's host name is not set correctly.
[root@localhost liveuser]# hostname dcclient.krtek.net
[root@localhost liveuser]# realm join --user=Hermes-admin security.baseos.qe
Actual results:
See: journalctl REALMD_OPERATION=r1326.1833
realm: Couldn't join realm: Enabling SSSD in nsswitch.conf and PAM failed.
$ geten$ getent passwd 'Hermes@security.baseos.qe'

Expected results:
Missing authconfig is automatically installed, domain join success with no error.

Additional info:
Used freeip/ad testday livecd.
Subsequent try of joining fails with
realm: Already joined to this domain
Comment 1 Stef Walter 2013-05-24 06:43:20 EDT
We can just add this as a requires of realmd, since it's needed by all realmd providers, on Fedora/RHEL.
Comment 2 Fedora Update System 2013-05-27 08:07:39 EDT
realmd-0.14.2-1.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-05-27 13:01:31 EDT
Package realmd-0.14.2-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.14.2-1.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-05 22:25:50 EDT
realmd-0.14.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.